'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapDispatchToProps = exports.mapStateToProps = undefined;

var _redux = require('redux');

var _reselect = require('reselect');

var _reactRedux = require('react-redux');

var _actions = require('./actions');

var _select = require('./select');

var mapStateToProps = exports.mapStateToProps = (0, _reselect.createStructuredSelector)({
  value: _select.selectFieldValue
});

var mapDispatchToProps = exports.mapDispatchToProps = function mapDispatchToProps(dispatch, ownProps) {
  return (0, _redux.bindActionCreators)((0, _actions.getFormEvents)((0, _select.selectPrefix)(ownProps)), dispatch);
};

exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps);